## dput-ng 1.17

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dput.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dput.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dput"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dput"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## dput-ng 1.4

=== debian/changelog ===
dput-ng (1.4) unstable; urgency=low

  [ Arno Töll ]
  * Really fix #696659 by making sure the command line tool uses the most recent
    version of the library.
  * Mark several fields to be required in profiles (incoming, method)
  * Fix broken tests.
  * Do not run the check-debs hook in our mentors.d.n profile
  * Fix "[dcut] dm bombed out" by using the profile key only when defined
    (Closes: #698232)
  * Parse the gecos field to obtain the user name / email address from the local
    system when DEBFULLNAME and DEBEMAIL are not set.
  * Fix "dcut reschedule sends "None-day" to ftp-master if the delay is
    not specified" by forcing the corresponding parameter (Closes: #698719)

  [ Luca Falavigna ]
  * Implement default_keyid option. This is particularly useful with multiple
    GPG keys, so dcut is aware of which one to use.
  * Make scp uploader aware of "port" configuration option.

  [ Paul Tagliamonte ]
  * Hack around Launchpad's SFTP implementation. We musn't stat *anything*.
    "Be vewy vewy quiet, I'm hunting wabbits" (Closes: #696558).
  * Rewrote the test suite to actually test the majority of the codepaths we
    take during an upload. Back up to 60%.
  * Added a README for the twitter hook, Thanks to Sandro Tosi for the bug,
    and Gergely Nagy for poking me about it. (Closes: #697768).
  * Added a doc for helping folks install hooks into dput-ng (Closes: #697862).
  * Properly remove DEFAULT from loadable config blocks. (Closes: #698157).
  * Allow upload of more then one file. Thanks to Iain Lane for the
    suggestion. (Closes: #698855).

  [ Bernhard R. Link ]
  * allow empty incoming dir to upload directly to the home directory

  [ Sandro Tosi ]
  * Install example hooks (Closes: #697767).

 -- Arno Töll <arno@debian.org>  Tue, 29 Jan 2013 21:50:13 +0100

dput-ng (1.3) unstable; urgency=low

  * The "we're so proud of our work, we need to let everyone know" release

  [ Paul Tagliamonte ]
  * Avoid failing on upload if a pre/post upload hook is missing from the
    Filesystem. Thanks to Moritz Mühlenhoff for the report. (Closes: #696659)
  * Adjust Homepage: to point to our spiffy debian.net alias, rather then
    my people.debian.
  * Add in experiemental clojure support via clojurepy hackery. It's
    amazingly cool, really. Thanks to Paul Tagliamonte for the extremely
    nice patch. Well done.

  [ Arno Töll ]
  * Fix "dcut raises FtpUploadException" by correctly initializing the uploader
    classes from dcut (Closes: #696467)

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 26 Dec 2012 09:30:06 -0500

dput-ng (1.2) unstable; urgency=low

  * The "Well you're smoking with the patch on." release

  [ Salvatore Bonaccorso ]
  * Add bash completions for dput-ng (Closes: #695412).
    + Add bash completions for dput-ng based on traditional dput
      package.
    + Add bash-completion to Build-Depends and Recommends.
    + Use bash-completion Debhelper addon to install the bash
      completions.

  [ Paul Tagliamonte ]
  * Hijacking the package (set maintainer to our new alioth list. Thanks,
    alioth maintainers!)
  * Add in a script to set the default profile depending on the building
    distro. (debian/rules, debian/bin/adjust-vendor)
  * Fix a bug where meta-class info won't be loaded if the config file has the
    same name.
  * Add an Ubuntu upload target. Thanks to Benjamin Drung for the
    suggestion, and Jeremy for the bug. (Closes: #695490)
  * Drop the hard dependency on validictory. Thanks to Jakub Wilk for
    the patch. (Closes: #695516)
  * Added .udeb detection to the check debs hook.

  [ Arno Töll ]
  * Catch the correct exception falling out of bin/dcut
  * Fix the dput manpages to use --uid rather then the old --dm flag.
  * Fix the CLI flag registration by setting required=True
    in cancel and upload.
  * Move make_delayed_upload above the logging call for sanity's sake.
  * Fix "connects to the host even with -s" (Closes: #695347)
    Arguably we did so as a design decision, but I can see how this confuses
    people. Hence, do not establish a network connection anymore using the
    -s(imulation) mode, unless -s was specified twice (-ss)
    + While I was on it, do so for -o (check-only) uploads as well
  * More distro mappings for check_protected_distributions. 

 -- Arno Töll <arno@debian.org>  Thu, 13 Dec 2012 17:11:27 +0100

dput-ng (1.1) unstable; urgency=low

  * The "monday afternoon's a rather awkward day to get so drunk" release

  [ Arno Töll ]
  * Clarify copyight for dput/changes.py: It's MIT, not GPL
  * Install dput.cf(5) to the correct man page directory.
  * Fix a bunch of grammar and Python styling issues - thanks to Jakub Wilk
    for the pointers.
  * Fix "FTBFS: a2x call -> missing build dependency on docbook-xsl" add
    docbook-xsl to the build dependencies. Thanks gregoa for spotting it and
    providing a fix (Closes: #694983)

  [ Ansgar Burchardt ]
  * debian/control: Add Vcs-{Browser,Git} fields.
  * debian/control: Conflicts: dput instead of Breaks.
  * debian/control: Don't use hyphens in the package description.

  [ Paul Tagliamonte ]
  * debian/copyright: move to DEP5.
  * debian/control: remove senseless multiarch tags
  * debian/control: add Homepage
  * debian/control: since we conflict with dput-old, mark this as priority
    extra.
  * other random pythonic fixes pointed out by Jakub.
     + pep8'd `klass' to `cls'
     + clean the .coverage file
     + remove the except:\n\tpass

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 04 Dec 2012 09:19:39 -0500

dput-ng (1.0) unstable; urgency=low

  * Initial release (Closes: #691624)

 -- Arno Töll <arno@debian.org>  Mon, 26 Nov 2012 17:41:41 +0100

=== debian/control ===
Source: dput-ng
Section: devel
Priority: extra
Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
Uploaders: Arno Töll <arno@debian.org>,
 Paul Tagliamonte <paultag@debian.org>
Build-Depends: debhelper (>= 9),
 bash-completion,
 python-all (>= 2.7~),
 python-setuptools,
 python-coverage,
 python-debian,
 python-nose,
 python-validictory,
 python-paramiko,
 python-sphinx (>= 1.0.7+dfsg),
 asciidoc,
 libxml2-utils,
 docbook-xml,
 docbook-xsl,
 xsltproc
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dputng.git
Vcs-Git: git://git.debian.org/collab-maint/dputng.git
Homepage: http://dput-ng.debian.net/
X-Python-Version: >= 2.7

Package: dput-ng
Architecture: all
Conflicts: dput
Replaces: dput
Provides: dput
Depends: ${misc:Depends}, ${python:Depends}, python-dput (= ${binary:Version})
Recommends: bash-completion
Description: next generation Debian package upload tool
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 dput-ng features many enhancements over dput, such as more comprehensive
 checks, an easy to use plugin system, and code designed to handle the numerous
 archives that any Debian package hacker will interact with.
 .
 dput-ng aims to be backwards compatible with dput in command-line flags,
 configuration files, and expected behavior.

Package: python-dput
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends},
 python-debian,
 gnupg,
Recommends:
 lintian,
 python-paramiko,
 python-validictory,
 openssh-client,
 debian-keyring
Description: next generation Debian package upload tool (Python library)
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 This package provides Python library functions providing core functionality to
 dput-ng and tools building on top of that. This library provides upload
 classes, profile parser, sanity checks and helper functions required to build
 a dput service.

Package: dput-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: next generation Debian package upload tool (documentation)
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 This package provides exhaustive user documentation, developer API docu-
 mentation and command interface documentation.

## dput-ng 1.6

=== debian/changelog ===
dput-ng (1.6) unstable; urgency=low

  * The "Well, shit, release names are hard too" release

  [ Paul Tagliamonte ]
  * Add BYHAND handling. (Closes: #719975)
  * Change default profile to "boring" rather than "debian". This caused
    non-Debian targets to target Debian codenames.
    Which sucks. (Closes: #718384)

  [ James Page ]
  * Add in codenames for Ubuntu. (Closes: #714103)

  [ Luca Falavigna ]
  * Fix path of local profiles in bash-completion script.
  * Install dput.commands.contrib package.
  * Add bash completion for dcut.
  * Add support for Deb-o-Matic builddep command.

 -- Paul Tagliamonte <paultag@debian.org>  Sun, 08 Sep 2013 14:47:51 -0400

dput-ng (1.5) unstable; urgency=low

  * The "Command line flags are hard" release

  [ Paul Tagliamonte ]
  * Add per-host loading of command files by partially parsing command
    line arguments.
  * Add disallowed_distributions.
  * Apply a file name heuristic to tell whether a positional is a host or a
    target (Closes: #710150).
  * Add codename groups to vital targets, limit security uploads
    to the right servers (Closes: #708575).

  [ Luca Falavigna ]
  * Implement dcut commands for Deb-o-Matic.

  [ Bernhard R. Link ]
  * Reimplement the SFTP uploader <explain details here>

  [ Arno Töll ]
  * Be more precise about our configuration file inheritance in dput(5).
  * Fix "dcut: manpage and --help talk about -U and --upload" by replacing those
    parts in the text by the 'upload' command (Closes: #699812)
  * Make the login name determination more portable (Closes: #709831)
  * Fix "Allow to give out dm permissions without using local keyring" by
  * documenting the --force option in the man page (Closes: #711057)

  [ Wolodja Wentland ]
  * Allow uploads to mentors to target every distribution

  [ Sebastian Ramacher ]
  * Add a space in --debug's help message.

  [ Thomas Preud'homme ]
  * Fixed a typo (DEBNAME → DEBFULLNAME) in the dcut(1) manpage.

 -- Paul Tagliamonte <paultag@debian.org>  Thu, 20 Jun 2013 21:10:33 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  libxml2-utils,
  docbook-xml,
  docbook-xsl,
+ docbook-xsl-ns,
  xsltproc
 Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dputng.git

## dput-ng 1.6ubuntu0.1

=== debian/changelog ===
dput-ng (1.6ubuntu0.1) saucy; urgency=low

  * Add "trusty" as a known release. (LP: #1242752)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 21 Oct 2013 16:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput-ng
 Section: devel
 Priority: extra
-Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
 Uploaders: Arno Töll <arno@debian.org>,
  Paul Tagliamonte <paultag@debian.org>
 Build-Depends: debhelper (>= 9),

## dput-ng 1.7~bpo70+1

=== debian/changelog ===
dput-ng (1.7~bpo70+1) wheezy-backports; urgency=low

  * Straight up backport. Thanks, KiBi.

 -- Paul Tagliamonte <paultag@debian.org>  Sun, 12 Jan 2014 11:07:05 -0500

dput-ng (1.7) unstable; urgency=low

  * The "Get two birds stoned at once." release

  [ Paul Tagliamonte ]
  * Fix up default host argument. This caused the first block with the
    default_host_main argument set to be considered the default host, rather
    than the value of default_host_main. (Closes: #729280)
  * Add experimental support for `dud` files, for Debile.

  [ Arno Töll ]
  * Be more explicit how to override dcut dm's UID check

 -- Paul Tagliamonte <paultag@debian.org>  Thu, 14 Nov 2013 09:20:03 -0500

## dput-ng 1.7ubuntu0.1

=== debian/changelog ===
dput-ng (1.7ubuntu0.1) trusty; urgency=medium

  * Drop trailing "/ubuntu" from ppa stanza, to support the new form of the
    upload path needed for PPAs based on derived distributions.  Also switch
    ubuntu stanza to upload to "/ubuntu" rather than "/" (LP: #1340130)
    -  Changes shamelessly cribbed from Colin Watson's dput update

 -- Scott Kitterman <scott@kitterman.com>  Sat, 12 Jul 2014 01:27:34 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Arno Töll <arno@debian.org>,
  Paul Tagliamonte <paultag@debian.org>
 Build-Depends: debhelper (>= 9),
+ python-distro-info,
  bash-completion,
  python-all (>= 2.7~),
  python-setuptools,
@@ -56,9 +57,11 @@
  gnupg,
 Recommends:
  lintian,
+ python-distro-info,
  python-paramiko,
  python-validictory,
  openssh-client,
+ python-distro-info,
  debian-keyring
 Description: next generation Debian package upload tool (Python library)
  dput-ng is a Debian package upload tool which provides an easy to use

## dput-ng 1.8

=== debian/changelog ===
dput-ng (1.8) unstable; urgency=low

  * The "There is no sin except stupidity" release

  [Sebastian Ramacher]
  * Fix handling of IdentiyFile in sftp uploader. paramiko 1.10 fixed the
    parsing of IdentityFile and now always gives a list. (Closes: #718011)
  * sftp: Check if incoming directory exists before uploading. (Closes:
    #735784)

  [Paul Tagliamonte]
  * Add lots of spew to dcut when it fails to find the local DM key explaining
    exactly why it might not be there, and a hint as to where to look.
    (Closes: 740665), Thank you, mika!
  * Add a new -S / --save flag to save the dcut output before we sent it to
    ftp-master. (Closes: 740663). Thanks to (the one, the only!) Jakub Wilk.

  [ Scott Kitterman ]
  * Drop trailing "/ubuntu" from ppa stanza, to support the new form of the
    upload path needed for PPAs based on derived distributions.  Also switch
    ubuntu stanza to upload to "/ubuntu" rather than "/" (Closes: #754527)
    (LP: #1340130)
    -  Changes shamelessly cribbed from Colin Watson's dput update

 -- Paul Tagliamonte <paultag@debian.org>  Thu, 11 Sep 2014 15:58:10 -0400

## dput-ng 1.10

=== debian/changelog ===
dput-ng (1.10) unstable; urgency=medium

  * The "Goodbyte python-support" release

  [ Dr. Tobias Quathamer ]
  * Add jessie to list of Debian codenames (Closes: #788739).

  [ Luca Falavigna ]
  * Add support for Deb-o-Matic kill command.
  * Fix metavars for Deb-o-Matic binnmu command.

  [ Paul Tagliamonte]
  * Remove the check-debs check from the Debian profiles. (Closes: #757931)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 18 Aug 2015 18:06:53 +0200

dput-ng (1.9) unstable; urgency=medium

  * The "< jessfraz> ya!!!! jessie FTW" release

  [ Sebastian Ramacher ]
  * Remove obsolete conffile /etc/dput.d/profiles/backports.json. Thanks to
    Jakub Wilk for spotting the obsolete conffile.

  [ Luca Falavigna ]
  * Add support for Deb-o-Matic binnmu command.

  [ Tristan Seligmann ]
  * Add jessie-backports to list of Debian codenames (closes: #783746).

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 29 Apr 2015 21:29:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dput-ng
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
+Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
 Uploaders: Arno Töll <arno@debian.org>,
  Paul Tagliamonte <paultag@debian.org>
 Build-Depends: debhelper (>= 9),

## dput-ng 1.10+0~ab~SID+1

=== debian/changelog ===
dput-ng (1.10+0~ab~SID+1) sid-ab-unstable; urgency=medium

  [ Vincent Bernat ]
  * Add {wheezy,squeeze}-backports-sloppy suites. (Closes: #798688)

  [ Mattia Rizzolo ]
  * [75b1030] debian/control: use https and the cgit web frontend for Vcs-
    Browser

  [ Dr. Tobias Quathamer ]
  * [01467dc] Use https for Vcs-Git

  [ Stephan Sürken ]
  * [3a3059e] dput/uploaders/ftp.py: Parse and use optional [:port] part
    for fqdn.

 -- Stephan Sürken <absurd@debian.org>  Thu, 11 Feb 2016 16:10:22 +0000

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  docbook-xsl-ns,
  xsltproc
 Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dputng.git
-Vcs-Git: git://git.debian.org/collab-maint/dputng.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dputng.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dputng.git
 Homepage: http://dput-ng.debian.net/
 X-Python-Version: >= 2.7

## dput-ng 1.10+0~ab~SID+2

=== debian/changelog ===
dput-ng (1.10+0~ab~SID+2) sid-ab-unstable; urgency=medium

  [ Vincent Bernat ]
  * Add {wheezy,squeeze}-backports-sloppy suites. (Closes: #798688)

  [ Mattia Rizzolo ]
  * [75b1030] debian/control: use https and the cgit web frontend for Vcs-
    Browser

  [ Dr. Tobias Quathamer ]
  * [01467dc] Use https for Vcs-Git

  [ Stephan Sürken ]
  * [3a3059e] dput/uploaders/ftp.py: Parse and use optional [:port] part
    for fqdn.
  * [fa21627] dput/uploader.py: Make -u/--unchecked switch work.

 -- Stephan Sürken <absurd@olurdix.de>  Mon, 15 Feb 2016 17:29:49 +0000

## dput-ng 1.11~bpo8+1

=== debian/changelog ===
dput-ng (1.11~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports. Closes: #794608, #830316

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 05 Dec 2016 18:02:20 +0100

dput-ng (1.11) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Team upload.
  * Use https for Vcs-Git
  * Fix stray ' in dput manpage.
    Thanks to Jakub Wilk <jwilk@debian.org> (Closes: #823926)
  * Add {jessie,stretch,buster,bullseye}-proposed-updates (Closes: #724525)
  * Fix manpage for dcut allow/deny syntax.
    Thanks to Wookey <wookey@debian.org> (Closes: #741966)
  * Simplify sed script and include emails
  * Update list of authors
  * Use debhelper v10
  * Use Standards-Version 3.9.8, no changes needed
  * Add dh-python to Build-Depends

  [ Vincent Bernat ]
  * Add {wheezy,squeeze}-backports-sloppy suites. (Closes: #798688)
  * Handle duplicate fingerprints in the DM keyring.

  [ Mattia Rizzolo ]
  * debian/control: use https and the cgit web frontend for Vcs-Browser

  [ Salvatore Bonaccorso ]
  * Correct long form option for file to upload in various subcommands.
    The manpage stated that --filename=FILENAME was the long form option for
    various subcommands, whereas the code expected --file. Adjust the
    documentation.
    Thanks to Colin Tuckley <colint@debian.org> (Closes: #819582)
  * Add support for future known codenames (stretch, buster, bullseye)

  [ Luca Capello ]
  * Add python-paramiko to Recommends for scp/sftp (Closes: #796868)

  [ Stephan Sürken ]
  * dput/uploader.py: Make -u/--unchecked switch work. (Closes: #808554)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Nov 2016 14:04:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
 Uploaders: Arno Töll <arno@debian.org>,
  Paul Tagliamonte <paultag@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
+ dh-python,
  python-distro-info,
  bash-completion,
  python-all (>= 2.7~),
@@ -21,7 +22,7 @@
  docbook-xsl,
  docbook-xsl-ns,
  xsltproc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dputng.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dputng.git
 Homepage: http://dput-ng.debian.net/
@@ -33,7 +34,7 @@
 Replaces: dput
 Provides: dput
 Depends: ${misc:Depends}, ${python:Depends}, python-dput (= ${binary:Version})
-Recommends: bash-completion
+Recommends: bash-completion, python-paramiko
 Description: next generation Debian package upload tool
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows
@@ -47,6 +48,8 @@
  .
  dput-ng aims to be backwards compatible with dput in command-line flags,
  configuration files, and expected behavior.
+ .
+ The recommended package python-paramiko is needed to upload via SSH.
 
 Package: python-dput
 Architecture: all

## dput-ng 1.12

=== debian/changelog ===
dput-ng (1.12) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS.
    The ubuntu release 'precise' had its EOL on 2017-04-26, therefore
    this package FTBFS after this date. Now we're using the latest
    LTS release 'xenial' with an EOL on 2021-04-21. (Closes: #861467)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 02 May 2017 23:02:26 +0200

## dput-ng 1.13

=== debian/changelog ===
dput-ng (1.13) unstable; urgency=medium

  * Team upload.

  [ Julien Cristau ]
  * Switch host for security uploads to ftp.security.upload.debian.org.
    (Closes: #863349)

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 May 2017 18:41:14 +0200

## dput-ng 1.13%2Bdeb9u1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dput-ng
 Section: devel
 Priority: extra
-Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
+Maintainer: dput-ng Maintainers <dput-ng@packages.debian.org>
 Uploaders: Arno Töll <arno@debian.org>,
  Paul Tagliamonte <paultag@debian.org>
 Build-Depends: debhelper (>= 10),
@@ -23,8 +23,8 @@
  docbook-xsl-ns,
  xsltproc
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dputng.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dputng.git
+Vcs-Browser: https://salsa.debian.org/debian/dput-ng
+Vcs-Git: https://salsa.debian.org/debian/dput-ng.git -b stretch
 Homepage: http://dput-ng.debian.net/
 X-Python-Version: >= 2.7

## dput-ng 1.13+deb9u1

=== debian/changelog ===
dput-ng (1.13+deb9u1) stretch; urgency=medium

  [ Mattia Rizzolo ]
  * Add jessie-backports-sloppy and stretch-backports targets.  Closes: #878665
  * Include 'testing' in the rm-managed suites.
  * Fix some spelling errors in the manpages.
  * Change the mentors.debian.net upload queue to the new recommended one.
  * Move the git repository to salsa.debian.org.
  * Add "oldstable" to the "protected distributions".  Closes: #742136
  * Change Maintainer email address to dput-ng@packages.debian.org.
    Closes: #899487

  [ James Clarke ]
  * Add ports-master profile.  Closes: #855154

  [ Stephan Sürken ]
  * dput/uploaders/ftp.py: Parse and use optional [:port] part for fqdn.
    Closes: #814440

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 03 Jul 2018 21:59:30 +0200

## dput-ng 1.15

=== debian/changelog ===
dput-ng (1.15) unstable; urgency=medium

  * Team upload.
  * Fix typo on the jessie-backports-sloppy target.  (Closes: #867245)
  * Include 'testing' in the rm-managed suites.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 31 Jul 2017 12:01:49 +0200

dput-ng (1.14) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Add jessie-backports-sloppy and stretch-backports.
  * Mark dput-ng-doc as Multi-Arch:foreign.
  * wrap-and-sort.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * doc/man: fix some spelling errors.

  [ James Clarke ]
  * Add ports-master profile. (Closes: #855154)

  [ Stephan Sürken ]
  * dput/uploaders/ftp.py: Parse and use optional [:port] part for fqdn.
    (Closes: #814440)

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 20 Jun 2017 12:38:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,50 @@
 Source: dput-ng
 Section: devel
 Priority: extra
-Maintainer: dput-ng Maintainers <dput-ng@packages.debian.org>
-Uploaders: Arno Töll <arno@debian.org>,
- Paul Tagliamonte <paultag@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
+Uploaders:
+ Arno Töll <arno@debian.org>,
+ Paul Tagliamonte <paultag@debian.org>,
+Build-Depends:
+ asciidoc,
+ bash-completion,
+ debhelper (>= 10),
  dh-python,
- python-distro-info,
- bash-completion,
- python-all (>= 2.7~),
- python-setuptools,
- python-coverage,
- python-debian,
- python-nose,
- python-validictory,
- python-paramiko,
- python-sphinx (>= 1.0.7+dfsg),
- asciidoc,
- libxml2-utils,
  docbook-xml,
  docbook-xsl,
  docbook-xsl-ns,
- xsltproc
-Standards-Version: 3.9.8
-Vcs-Browser: https://salsa.debian.org/debian/dput-ng
-Vcs-Git: https://salsa.debian.org/debian/dput-ng.git -b stretch
+ libxml2-utils,
+ python-all (>= 2.7~),
+ python-coverage,
+ python-debian,
+ python-distro-info,
+ python-nose,
+ python-paramiko,
+ python-setuptools,
+ python-sphinx (>= 1.0.7+dfsg),
+ python-validictory,
+ xsltproc,
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/dputng.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dputng.git
 Homepage: http://dput-ng.debian.net/
 X-Python-Version: >= 2.7
 
 Package: dput-ng
 Architecture: all
-Conflicts: dput
-Replaces: dput
-Provides: dput
-Depends: ${misc:Depends}, ${python:Depends}, python-dput (= ${binary:Version})
-Recommends: bash-completion, python-paramiko
+Conflicts:
+ dput,
+Replaces:
+ dput,
+Provides:
+ dput,
+Depends:
+ python-dput (= ${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends},
+Recommends:
+ bash-completion,
+ python-paramiko,
 Description: next generation Debian package upload tool
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows
@@ -54,17 +64,18 @@
 Package: python-dput
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends},
+Depends:
+ gnupg,
  python-debian,
- gnupg,
+ ${misc:Depends},
+ ${python:Depends},
 Recommends:
+ debian-keyring,
  lintian,
+ openssh-client,
  python-distro-info,
  python-paramiko,
  python-validictory,
- openssh-client,
- python-distro-info,
- debian-keyring
 Description: next generation Debian package upload tool (Python library)
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows
@@ -79,8 +90,11 @@
 
 Package: dput-ng-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: next generation Debian package upload tool (documentation)
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows

## dput-ng 1.17

=== debian/changelog ===
dput-ng (1.17) unstable; urgency=medium

  * Team upload.
  * Add missing import preventing all dcut commands to work.  Closes: #890188
  * Change the mentors.debian.net upload queue to the new recommended one.
  * Bump Standards-Version to 4.1.3:
    + Use HTTPS in d/copyright's Format.
    + Bump Priority from extra to optional.
  * d/control:
    + Move the git repository to salsa.debian.org.
    + Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 24 Feb 2018 09:58:18 +0100

dput-ng (1.16) unstable; urgency=medium

  * Team upload.

  [ Matteo F. Vescovi ]
  * Fix typos in Deb-o-Matic command descriptions

  [ Michael Stapelberg ]
  * dput: default to uploading the most recent changes file when none is
    specified (Closes: #880461)
  * gpg: run debsign on unsigned changes files (Closes: #880462)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 01 Feb 2018 22:33:26 +0100

=== tests/fake_package/fake-package-1.0/debian/changelog ===
fnord (1.0) xenial; urgency=low

  * Initial release (Closes: #691624)

 -- Winston Smith <wsmith@bigbrother.com>  Mon, 26 Nov 2012 17:41:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: dput-ng
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
 Uploaders:
  Arno Töll <arno@debian.org>,
@@ -8,7 +8,7 @@
 Build-Depends:
  asciidoc,
  bash-completion,
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  docbook-xml,
  docbook-xsl,
@@ -24,9 +24,10 @@
  python-sphinx (>= 1.0.7+dfsg),
  python-validictory,
  xsltproc,
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/dputng.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dputng.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/dput-ng
+Vcs-Git: https://salsa.debian.org/debian/dput-ng.git
 Homepage: http://dput-ng.debian.net/
 X-Python-Version: >= 2.7

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES := $(patsubst docs/man/%.man, debian/man/%, $(wildcard docs/man/*.man))
VENDOR = $(shell dpkg-vendor --query vendor)


%:
	dh $@ --with bash-completion,python2,sphinxdoc


override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./docs/_build ./*.egg-info ./build .coverage
	rm -f $(MANPAGES)
	rm -rf debian/man


override_dh_auto_test:
	# We don't test for all versions, because we don't support all versions.
	# Die, python2.6, die! dput (oldschool) will work fine with 2.6, use that
	# :)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests
endif


override_dh_auto_build:
	dh_auto_build
	make -C docs html


override_dh_auto_install:
	dh_auto_install
	rm -vf ./debian/tmp/usr/lib/*/dist-packages/dput*egg-info/SOURCES.txt


override_dh_install:
	dh_install
	debian/bin/adjust-vendor $(VENDOR)


debian/man:
	mkdir $@


$(MANPAGES): debian/man
	a2x --doctype manpage --format manpage -D $(dir $@) \
		$(patsubst debian/man/%, docs/man/%.man, $@)


override_dh_installman: $(MANPAGES)
	dh_installman --language=C


override_dh_installexamples:
	dh_installexamples examples/*

## dput-ng 1.21

=== debian/changelog ===
dput-ng (1.21) unstable; urgency=medium

  * Team upload.
  * Fix TypeErrors in dcut (and in particular dcut dm).
  * commands/dm: Fix parsing of gpg2 to extract the uid of the key.
  * uploaders/local: install files without the +x bit.  Closes: #813136
    Thanks to Alexander Balderson <alexander.balderson@hpe.com> for the patch.
  * Configure gitlab-ci to build our docs and serve them with gitlab pages.
  * docs:
    + Remove unused and deprecated sphinx.ext.pngmath module.
    + Configure sphinx to error out on warnings.
  * d/control: Set the Homepage field to debian.pages.debian.net/dput-ng.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 29 May 2018 12:38:45 +0200

dput-ng (1.20) unstable; urgency=medium

  * Team upload.
  * Fix post_upload_command output handling with Python3.  Closes: #893309
    Thanks to Russ Allbery <rra@debian.org> for reporting and testing the
    first patch.
  * d/control:
    + Change Maintainer email address to dput-ng@packages.debian.org.
      Closes: #899487
    + Drop Recommends on bash-completion.  Closes: #864354
  * hooks: Add "olstable" to the "protected distributions".  Closes: #742136

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 24 May 2018 11:10:39 +0200

dput-ng (1.19) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Fix dcut bash completion after the move from python2 to python3.
  * d/dput-ng.maintscript: Remove the old bash-completion file from /etc.
  * d/control:
    + Require a new enough bash-completion to be sure to install the
      file under /usr.
    + Drop recommends on python-paramiko from dput-ng.  Closes: #893310

  [ Salvatore Bonaccorso ]
  * Move mentioning of paramiko for uploads via SSH to python3-dput.

  [ Matteo F. Vescovi ]
  * Add python3-twitter to Suggests and update README.Installing accordingly.
  * debian/control: S-V bump 4.1.3 -> 4.1.4 (no changes needed)
  * debian/control: python3-distutils b-dep added
  * setup.py: move env to python3
  * debian/: finally fix bash-completion (Closes: #892694)
    Thanks to Salvo 'LtWorf' Tomaselli for both new dcut and dput scripts

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 01 May 2018 16:00:05 +0200

dput-ng (1.18) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * Add Python 3 support.  Closes: #883052

  [ Mattia Rizzolo ]
  * Use pybuild as a build system.
  * Remove the Python 2 package, and py2/py3 compatibility code.
  * interfaces/cli: flush the output to stdout before asking for input.
  * setup.py: change the author_email away from paultag to dput-ng@package.d.o.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 08 Mar 2018 10:47:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: dput-ng
 Section: devel
 Priority: optional
-Maintainer: dput-ng Maintainers <dput-ng-maint@lists.alioth.debian.org>
+Maintainer: dput-ng Maintainers <dput-ng@packages.debian.org>
 Uploaders:
  Arno Töll <arno@debian.org>,
  Paul Tagliamonte <paultag@debian.org>,
 Build-Depends:
  asciidoc,
- bash-completion,
+ bash-completion (>= 1:2.1-4.2),
  debhelper (>= 11),
  dh-python,
  docbook-xml,
  docbook-xsl,
  docbook-xsl-ns,
  libxml2-utils,
- python-all (>= 2.7~),
- python-coverage,
- python-debian,
- python-distro-info,
- python-nose,
- python-paramiko,
- python-setuptools,
- python-sphinx (>= 1.0.7+dfsg),
- python-validictory,
+ python3-all,
+ python3-debian,
+ python3-distro-info,
+ python3-distutils,
+ python3-nose,
+ python3-paramiko,
+ python3-setuptools,
+ python3-sphinx,
+ python3-validictory,
  xsltproc,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
 Vcs-Git: https://salsa.debian.org/debian/dput-ng.git
-Homepage: http://dput-ng.debian.net/
-X-Python-Version: >= 2.7
+Homepage: https://debian.pages.debian.net/dput-ng
 
 Package: dput-ng
 Architecture: all
@@ -40,12 +39,11 @@
 Provides:
  dput,
 Depends:
- python-dput (= ${binary:Version}),
+ python3-dput (= ${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
-Recommends:
- bash-completion,
- python-paramiko,
+ ${python3:Depends},
+Suggests:
+ python3-twitter,
 Description: next generation Debian package upload tool
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows
@@ -59,25 +57,23 @@
  .
  dput-ng aims to be backwards compatible with dput in command-line flags,
  configuration files, and expected behavior.
- .
- The recommended package python-paramiko is needed to upload via SSH.
 
-Package: python-dput
+Package: python3-dput
 Architecture: all
 Section: python
 Depends:
  gnupg,
- python-debian,
+ python3-debian,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Recommends:
  debian-keyring,
  lintian,
  openssh-client,
- python-distro-info,
- python-paramiko,
- python-validictory,
-Description: next generation Debian package upload tool (Python library)
+ python3-distro-info,
+ python3-paramiko,
+ python3-validictory,
+Description: next generation Debian package upload tool (Python 3 library)
  dput-ng is a Debian package upload tool which provides an easy to use
  interface to Debian (like) package archive hosting facilities. It allows
  anyone who works with Debian packages to upload their work to a remote
@@ -88,6 +84,8 @@
  dput-ng and tools building on top of that. This library provides upload
  classes, profile parser, sanity checks and helper functions required to build
  a dput service.
+ .
+ The recommended package python3-paramiko is needed to upload via SSH.
 
 Package: dput-ng-doc
 Architecture: all

## dput-ng 1.22

=== debian/changelog ===
dput-ng (1.22) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Thomas Goirand ]
  * Fixed manpage of dcut to correctly document passing a fingerprint to the
    dcut dm command.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Jan 2019 12:55:34 +0000

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
+ dput-ng-doc,
  python3-twitter,
 Description: next generation Debian package upload tool
  dput-ng is a Debian package upload tool which provides an easy to use

## dput-ng 1.23

=== debian/changelog ===
dput-ng (1.23) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Basically rewrite the 1.22 changelog that missed a lot of changes.
  * d/control:
    + Bump Standards-Version to 4.3.0, no changes needed.
    + Use the new debhelper-compat notation and bump to 12.
  * Add an autopkgtest running the testsuite.
  * Run the tests in gitlab ci.

  [ Iain Lane ]
  * Add a new 'required-fields' hook.  MR: !4
    And also an user to block uploads to Ubuntu's stable releaase that don't
    include a Launchpad-Bugs-Fixed field in the changes file.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Feb 2019 20:23:20 +0100

## dput-ng 1.24

=== debian/changelog ===
dput-ng (1.24) unstable; urgency=medium

  * Team upload.

  [ Iain Lane ]
  * Don't apply required-fields to PPA uploads.  MR: !5
    The Launchpad-Bugs-Fixed policy that we apply by default to Ubuntu
    uploads is only for the primary archive.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Feb 2019 17:29:34 +0100

=== debian/tests/control ===
Test-Command: cp -rv setup.cfg skel tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && nosetests3 -v
Depends:
 python3-nose,
 @,

## dput-ng 1.25

=== debian/changelog ===
dput-ng (1.25) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Ignore missing development releases if distro-info-data is outdated.
    Closes: #927467; MR: !6

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 23 Apr 2019 15:49:34 +0200

## dput-ng 1.25+deb10u1

=== debian/changelog ===
dput-ng (1.25+deb10u1) buster; urgency=medium

  [ Kunal Mehta ]
  * Add buster-backports and stretch-backports-sloppy codenames.  MR: !7

  [ Mattia Rizzolo ]
  * autopkgtest: add missing test dependencies and restrictions.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 19 Jul 2019 08:15:00 +0200

## dput-ng 1.25+deb10u2

=== debian/changelog ===
dput-ng (1.25+deb10u2) unstable; urgency=medium

  * update

 -- dput-ng Maintainers <dput-ng@packages.debian.org>  Tue, 29 Jun 2021 11:00:50 +0800

dput-ng (1.25+deb10u2) buster; urgency=medium

  [ Philippe Pepiot ]
  * Fix a TypeError in http upload exception handling.  MR: !9

  [ Mattia Rizzolo ]
  * Fix crash in the sftp uploader in case of EACCES from the server.
    Closes: #953357
  * Update codenames:
    + Drop squeeze*, wheezy* and jessie-backports*.
    + Add bullseye-backports, buster-backports-sloppy.
    + Add bookworm, bookworm-proposed-updates, bookworm-security.

  [ nicoo ]
  * Make `dcut dm` also accept non-uploading DDs, since they are nowadays
    treated the same as DMs when concerning upload permissions.
    Closes: #985618; MR: !16

  [ Dominic Hargreaves ]
  * In dak-commands files, don't try and construct uploader email from system
    hostname, instead skip the whole Uploader field, since it's optional
    anyway.  Closes: #984466; MR: !15

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 23 Mar 2021 19:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  asciidoc,
  bash-completion (>= 1:2.1-4.2),
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  docbook-xml,
  docbook-xsl,
@@ -24,7 +24,7 @@
  python3-sphinx,
  python3-validictory,
  xsltproc,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dput-ng
 Vcs-Git: https://salsa.debian.org/debian/dput-ng.git

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES := $(patsubst docs/man/%.man, debian/man/%, $(wildcard docs/man/*.man))
VENDOR = $(shell dpkg-vendor --query vendor)
export PYBUILD_NAME = dput
export PYBUILD_BEFORE_TEST = cp -r {dir}/skel {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST = rm -r {build_dir}/skel {build_dir}/tests

%:
	dh $@ --with bash-completion,python3,sphinxdoc --buildsystem pybuild


override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./docs/_build ./*.egg-info ./build .coverage
	rm -f $(MANPAGES)
	rm -rf debian/man
	find . -name '__pycache__' -type d -delete


override_dh_auto_build:
	dh_auto_build
	make -C docs html


override_dh_install:
	dh_install
	debian/bin/adjust-vendor Debian


debian/man:
	mkdir $@


$(MANPAGES): debian/man
	a2x --doctype manpage --format manpage -D $(dir $@) \
		$(patsubst debian/man/%, docs/man/%.man, $@)


override_dh_installman: $(MANPAGES)
	dh_installman --language=C


override_dh_installexamples:
	dh_installexamples examples/*

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: cp -rv setup.cfg skel tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && nosetests3 -v
Depends:
 build-essential,
 debhelper,
 python3-distro-info,
 python3-nose,
 python3-validictory,
 @,
Restrictions: allow-stderr

=== tests/fake_package/fake-package-1.0/debian/control ===
Source: fnord
Section: misc
Priority: optional
Maintainer: Winston Smith <wsmith@bigbrother.com>
Build-Depends: debhelper (>= 9),
Standards-Version: 3.9.4
Rules-Requires-Root: no

Package: fnord
Depends: ${misc:Depends}
Architecture: all
Description: beard labore +1 chillwave esse pour-over sartorial
 organic sriracha et 3 wolf moon helvetica mixtape. Biodiesel master cleanse
 magna, seitan ea banh mi hoodie ullamco odio incididunt viral nisi bicycle
 rights hella laboris. Ut placeat artisan incididunt, high life YOLO odio.
 .
 Velit you probably haven't heard of them craft beer. Terry richardson
 quis kogi, nihil synth truffaut banjo consequat fixie. Street art cray
 lo-fi messenger bag mixtape gastropub, nulla cardigan mustache eu tousled
 keytar. Cillum hashtag nesciunt, fashion axe dolor ex selvage DIY meggings
 pug direct trade food truck small batch.
